#ifndef INTAKE_H_
#define INTAKE_H_

#include "WPILib.h"
#include "Feedback.h"
#include "ctre/phoenix/MotorControl/CAN/TalonSRX.h"
using namespace CTRE::MotorControl::CAN;
using namespace CTRE::MotorControl;

class Intake{
public:

	typedef enum {IN, OUT, STOP} IntakeDirection;

	Intake();

	void Set_Direction(IntakeDirection direction);

	void Process();

	void Reset();

	void Debug(Feedback *feedback);

	void Set_Sensor_Broken(bool Broken);

	void Get_Dashboard_Values(Feedback *feedback);
	void Init_Dashboard_Values(Feedback *feedback);
private:
	TalonSRX IntakeMotor;
	Counter IntakeEncoder;
	IntakeDirection Direction;
	bool isBroken;
	double _intakeSpeed;

};

#endif
